(define (iota a b)
        (let ((inc (if (<= a b) 1 -1)))
             (define (iter n xs)
                     (if (not (= n b))
                         (iter (+ n inc) (cons n xs))
                         xs))
             (iter a '())))

(define (list-sum lis)
   (if (null? lis)
       0
       (+ (car lis)
          (list-sum (cdr lis)))))

(display (list-sum (iota 0 10)))

