
(define (factorial-iter a b)
    (if (> b 1)
        (if (= a b) (factorial-iter a  (- b 1)) (factorial-iter (* a b) (- b 1)))
        a))


(define (factorial n) (factorial-iter n n))

(display (factorial 20))



; Another way.
(define (fact n)
  (fact-iter 1 1 n))

(define (fact-iter product counter max-count)
  (if (> counter max-count)
      product
      (fact-iter (* counter product)
                 (+ counter 1)
                 max-count)))

(display (fact 20))



