(define (drop elem xs)
        (define (iter xs)
                (if (null? xs)
                    #f
                    (if (= (car xs) elem)
                        (cdr xs)
                        (iter (cdr xs)))))
            (iter xs))

;(display (drop 7 '(1 2 7 3 4 5)))

(define (last xs)
        (define (iter xs q)
                (if (null? xs)
                    q
                    (iter (cdr xs) (car xs))))
        (iter (cdr xs) (car xs)))


(define (mix xs ns)
        (define (iter ms ns)
                (if (null? ns)
                    ms
                    (iter (cons (append xs (list (car ns))) ms) (cdr ns))))
        (iter '() ns))


(define (zoom xs)
        (define (iter ns xs)
                (if (null? xs)
                    ns
                    (iter (cons (list (car xs))  ns) (cdr xs))))
        (iter '() xs))

(define (mix-all xs ns)
        (define (iter ms xs)
                (if (null? xs)
                    ms
                    (let ((q (car xs)))
                         (iter (append ms 
                                       (mix q 
                                            (drop (last q) ns))) 
                               (cdr xs)))))
        (iter '() xs))


(define (combination xs n)
        (define (iter ns c)
                (if (< c n)
                    (iter (mix-all ns xs) (+ c 1))
                    ns))

        (iter (zoom xs) 1))



(let ((q (combination '(a b c d e f g h i j l) 4)))
     (display (length q))
            (display q))


